<!DOCTYPE html>
<!--
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
     KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
-->
<html>
    <head>
        <!--
        Customize this policy to fit your own app's needs. For more guidance, see:
            https://github.com/apache/cordova-plugin-whitelist/blob/master/README.md#content-security-policy
        Some notes:
            * gap: is required only on iOS (when using UIWebView) and is needed for JS->native communication
            * https://ssl.gstatic.com is required only on Android and is needed for TalkBack to function properly
            * Disables use of inline scripts in order to mitigate risk of XSS vulnerabilities. To change this:
                * Enable inline JS: add 'unsafe-inline' to default-src
        <meta http-equiv="Content-Security-Policy" content="default-src 'self' data: gap: https://ssl.gstatic.com 'unsafe-eval'; style-src 'self' 'unsafe-inline'; media-src *; img-src 'self' data: content:;">
        -->
        <meta name="format-detection" content="telephone=no">
        <meta name="msapplication-tap-highlight" content="no">
        <meta name="viewport" content="user-scalable=no, initial-scale=1, maximum-scale=1, minimum-scale=1, width=device-width, target-densitydpi=device-dpi">
        <link rel="stylesheet" type="text/css" href="css/index.css">
        <link rel="stylesheet" type="text/css" href="css/progress.css">
        <title>AVSSI</title>
    </head>
    <body>
        <div class="app">
          <div id="centre-notifications"></div>

          <div class="full-loader"></div>

          <header>
            <div class="menu-selector">
              <div class="flex-container">
                <div class="left selected"></div>
                <div class="right"></div>
              </div>
            </div>
            <div class="menu-icons">
              <div class="flex-container">
                <div id="left-tab-button" class="cam-icon"></div>
                <h1>Avssi</h1>
                <div id="right-tab-button" class="config-icon"></div>
              </div>
            </div>
          </header>

          <section id="record-page">
            <div class="progress-container">
              <div class="progress-pie-chart" data-percent="0">
                <div class="ppc-progress">
                  <div class="ppc-progress-fill"></div>
                </div>
                <div class="ppc-percents">
                  <div class="pcc-percents-wrapper">
                    <span>0%</span>
                    <div class="under">Pas de video</div>
                    <div class="under-under">&agrave; transf&eacute;rer au serveur </div>
                  </div>

                  <div class="ppc-record">
                  </div>
                </div>
              </div>
            </div>

            <div class="recording">Surveillance en cours</div>

            <button class="start">D&eacute;marrer surveillance</button>
          </section>

          <section id="record-list-page">
            <!-- <h1>Mes preuves</h1>
            <div class="edit-button"></div> -->

            <div class="bottom-top"></div>

            <div class="list-view-loader"></div>

            <div class="list-view">
              <div class="titre">
                <div class="flex-container">
                  <span>Mes enregistrements</span>
                  <div id="add-enregistrement" class="add-button"></div>
                </div>
              </div>

              <div class="list-view-content">
              </div>
            </div>
          </section>

          <section id="second-list-page">
            <!-- <h1>Mes preuves</h1>
            <div class="edit-button"></div> -->

            <div class="bottom-top"></div>

            <div class="list-view-loader"></div>

            <div class="list-view">
              <div class="titre">
                <div class="flex-container">
                  <span>Mes enregistrements</span>
                  <div id="add-enregistrement" class="add-button"></div>
                </div>
              </div>

              <div class="list-view-content">
              </div>
            </div>
          </section>

          <section id="config-list-page">
            <!-- <h1>Mes preuves</h1>
            <div class="edit-button"></div> -->

            <div class="bottom-top"></div>

            <div class="list-view-loader"></div>

            <div class="list-view">
              <div class="titre">
                <div class="flex-container">
                  <span>Mon compte</span>
                </div>
              </div>
              <div class="list-view-content">
                <div class="un-elem" id="actualiser-button">
                  <div class="flex-container">
                    <b>Actualiser mes enregistrements</b>
                    <a href="#" class="go-right update"></a>
                  </div>
                </div>

                <div class="un-elem" id="change-pass-button">
                  <div class="flex-container">
                    <b>Modifier mot de passe</b>
                    <a href="#" class="go-right">></a>
                  </div>
                </div>

                <div class="un-elem" id="compte-fb-button">
                  <div class="flex-container">
                    <b>Compte Facebook</b>
                    <a href="#" class="go-right">></a>
                  </div>
                </div>

                <div class="un-elem" id="conso-button">
                  <div class="flex-container">
                    <b>Ma consommation</b>
                    <a href="#" class="go-right">></a>
                  </div>
                </div>

                <div class="un-elem last-elem" id="change-offer-button">
                  <div class="flex-container">
                    <b>Changer d'offre (<span class="orange">PREMIUM</span>)</b>
                    <a href="#" class="go-right">></a>
                  </div>
                </div>

                <div class="titre">
                  <div class="flex-container">
                    <span>Configuration</span>
                  </div>
                </div>

                <div class="un-elem check" id="active-emergency-mode-button">
                  <div class="flex-container">
                     <label for="test2"><b>Activer le mode URGENCE</b></label>
                     <div class="checkbox">&#10003;</div>
                  </div>
                </div>

                <div class="un-elem" id="config-emergency-mode-button">
                  <div class="flex-container">
                    <b>Configurer mode URGENCE</b>
                    <a href="#" class="go-right emergency"></a>
                  </div>
                </div>

                <div class="un-elem" id="aide-button">
                  <div class="flex-container">
                    <b>Afficher l'aide</b>
                    <a href="#" class="go-right">?</a>
                  </div>
                </div>

                <div class="un-elem" id="logout-button">
                  <b>D&eacute;connexion</b>
                </div>
              </div>
            </div>
          </section>

          <section id="change-mdp-page">
            <div class="bottom-top"></div>

            <div class="list-view-loader"></div>

            <div class="list-view">
              <div class="titre">
                <div class="flex-container">
                  <span>Modifier mot de passe</span>
                </div>
              </div>

              <div class="une-ligne premiere-ligne">
                <input type="password" class="old-pass" id="oldpass-input" placeholder="Ancien mot de passe" />
              </div>

              <div class="une-ligne">
                <input type="password" id="newpass-input" placeholder="Nouveau mot de passe" />
              </div>

              <div class="une-ligne">
                <input type="password" id="confirm-newpass-input" placeholder="Confirmer mot de passe" />
              </div>

              <div class="une-ligne">
                <input type="submit" value="Modifier" id="change-pass-submit-button" />
              </div>
            </div>
          </section>

          <section id="compte-fb-page">
            <div class="bottom-top"></div>

            <div class="list-view-loader"></div>

            <div class="list-view">
              <div class="titre">
                <div class="flex-container">
                  <span>Compte Facebook</span>
                </div>
              </div>
            </div>
          </section>

          <section id="conso-page">
            <div class="bottom-top"></div>

            <div class="list-view-loader"></div>

            <div class="list-view">
              <div class="titre">
                <div class="flex-container">
                  <span>Ma consommation</span>
                </div>
              </div>
            </div>
          </section>

          <section id="video-player-page">
            <div class="bottom-top"></div>

            <video controls>
              <source src="" type="video/mp4">
              Impossible de lire la video :(
            </video>
          </section>

          <section id="login-page">
            <div class="titre">
              <h1>Avssi</h1>
              <h2>Application de Vid&eacute;o Surveillance pour la S&eacute;curit&eacute; Individuelle</h2>
            </div>

            <div class="loading"></div>

            <div class="inputs">
              <input type="text" id="mailInput" placeholder="Adresse email" /></br>

              <div class="password-input-container">
                <input type="password" id="passwordInput" placeholder="Mot de passe" />
                <input type="password" id="confirmPasswordInput" placeholder="Confirmer mot de passe" />
              </div>

              <div class="flex-container">
                <input type="submit" id="connexionBouton" value="Connexion" />
                <input type="submit" id="inscriptionBouton" value="Cr&eacute;er un compte" />
              </div>
            </div>

            <div class="submits">
              <p>ou</p>
              <input type="submit" id="fbLoginBouton" value="Connexion avec facebook" />
            </div>
          </section>
        </div>

        <script type="text/javascript" src="cordova.js"></script>
        <script type="text/javascript" src="lib/jquery-3.2.0.min.js"></script>
        <script type="text/javascript" src="lib/hammer.min.js"></script>
        <script type="text/javascript" src="lib/annyang.min.js"></script>
        <script type="text/javascript" src="lib/openfb.js"></script>
        <script type="text/javascript" src="js/config.js"></script>
        <script type="text/javascript" src="js/functions.js"></script>
        <script type="text/javascript" src="js/index.js"></script>
        <script type="text/javascript" src="js/fixation.js"></script>
        <script type="text/javascript" src="js/options.js"></script>
        <script type="text/javascript" src="js/permissions.js"></script>
        <script type="text/javascript" src="js/notifications.js"></script>
        <script type="text/javascript" src="js/navigation.js"></script>
        <script type="text/javascript" src="js/camera.js"></script>
        <script type="text/javascript" src="js/progress.js"></script>
        <script type="text/javascript" src="js/listvideos.js"></script>
        <script type="text/javascript" src="js/sessions.js"></script>
        <script type="text/javascript" src="js/compte.js"></script>
        <script type="text/javascript" src="js/facebook.js"></script>
    </body>
</html>
